Get REST API Versions for Migration

Returns information about which REST APIs are available and supported. Multiple versions may be supported simultaneously.

Required Roles

Service Administrator, Power User, User, Viewer

REST Resource

GET /interop/rest/

Request

Supported Media Types: application/json

Table 9-3 Parameters

Name Description
Details In case of errors, details are published with the error string
Status See Migration Status Codes
Items Detailed information about the API
Version The version
Lifecycle Possible values: active, deprecated
Latest Whether this version is the latest
Links Detailed information about the link
Href Links to API call
Action The HTTP call type
Rel Possible values: self
Data Parameters as key value pairs passed in the request
lifecycle The stage in the lifecycle, such as active
version The version, such as 11.1.2.3.600, v1, and v2, for example, "version": "11.1.2.3.600", "v1", v2"
serviceType The service type, such as PCMCS
serverVersion The server version, such as 21.05.70
skuType The subscription type, such as Enterprise
essbaseVersion The essbase version, such as 21.7.4.0.0.004
buildVersion The build version, such as 21.05.52

Example of Response Body

{
    "details": null,
    "status": 0,
    "items": [
        {
            "version": "<VERSION>",
            "lifecycle": "<LIFECYCLE_STAGE>",
            "buildVersion": "<BUILD_VERSION>",
            "serverVersion": "<SERVER_VERSION>",
            "skuType": "<SUBSCRIPTION_TYPE>",
            "essbaseVersion": "<ESSBASE_VERSION>",
            "serviceType": "<SERVICE_TYPE>",
            "links": [
                {
                    "href": "https://<BASE-URL>/interop/rest/11.1.2.3.600",
                    "action": "GET",
                    "rel": "version",
                    "data": null
                }
            ],
            "latest": true
        }
    ],
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/",
            "action": "GET",
            "rel": "self",
            "data": null
        }
    ]
}

cURL Sample

funcGetLCMVersions() {
	url=$SERVER_URL/interop/rest
	funcExecuteRequest "GET" $url

	output=`cat response.txt`
	status=`echo $output | jq '.status'`
	if [ $status == 0 ]; then
		echo "List of versions :"
		count=`echo $output | jq '.items | length'`
		i=0
		while [ $i -lt $count ]; do
			echo "Version : " `echo $output | jq '.items['$i'].version'`
			echo "Lifecycle :" `echo $output | jq '.items['$i'].lifecycle'`
			echo "Latest :" `echo $output | jq '.items['$i'].latest'`
			echo "Link :" `echo $output | jq '.items['$i'].links[0].href'`
			echo ""
			i=`expr $i + 1`
		done
	else
		error=`echo $output | jq '.details'`
		echo "Error occurred. " $error
	fi
	funcRemoveTempFiles "respHeader.txt" "response.txt"
}